package com.adsionline.ADSIShippingWS;

public class ADSIShippingSoapProxy implements com.adsionline.ADSIShippingWS.ADSIShippingSoap {
  private String _endpoint = null;
  private com.adsionline.ADSIShippingWS.ADSIShippingSoap aDSIShippingSoap = null;
  
  public ADSIShippingSoapProxy() {
    _initADSIShippingSoapProxy();
  }
  
  public ADSIShippingSoapProxy(String endpoint) {
    _endpoint = endpoint;
    _initADSIShippingSoapProxy();
  }
  
  private void _initADSIShippingSoapProxy() {
    try {
      aDSIShippingSoap = (new com.adsionline.ADSIShippingWS.ADSIShippingLocator()).getADSIShippingSoap();
      if (aDSIShippingSoap != null) {
        if (_endpoint != null)
          ((javax.xml.rpc.Stub)aDSIShippingSoap)._setProperty("javax.xml.rpc.service.endpoint.address", _endpoint);
        else
          _endpoint = (String)((javax.xml.rpc.Stub)aDSIShippingSoap)._getProperty("javax.xml.rpc.service.endpoint.address");
      }
      
    }
    catch (javax.xml.rpc.ServiceException serviceException) {}
  }
  
  public String getEndpoint() {
    return _endpoint;
  }
  
  public void setEndpoint(String endpoint) {
    _endpoint = endpoint;
    if (aDSIShippingSoap != null)
      ((javax.xml.rpc.Stub)aDSIShippingSoap)._setProperty("javax.xml.rpc.service.endpoint.address", _endpoint);
    
  }
  
  public com.adsionline.ADSIShippingWS.ADSIShippingSoap getADSIShippingSoap() {
    if (aDSIShippingSoap == null)
      _initADSIShippingSoapProxy();
    return aDSIShippingSoap;
  }
  
  public com.adsionline.ADSIShippingWS.StringReturn serverQuery(java.lang.String serverQuery) throws java.rmi.RemoteException{
    if (aDSIShippingSoap == null)
      _initADSIShippingSoapProxy();
    return aDSIShippingSoap.serverQuery(serverQuery);
  }
  
  public boolean testADSIServer() throws java.rmi.RemoteException{
    if (aDSIShippingSoap == null)
      _initADSIShippingSoapProxy();
    return aDSIShippingSoap.testADSIServer();
  }
  
  public com.adsionline.ADSIShippingWS.StringListReturn getServicesList() throws java.rmi.RemoteException{
    if (aDSIShippingSoap == null)
      _initADSIShippingSoapProxy();
    return aDSIShippingSoap.getServicesList();
  }
  
  public com.adsionline.ADSIShippingWS.StringListReturn getCommitmentsList() throws java.rmi.RemoteException{
    if (aDSIShippingSoap == null)
      _initADSIShippingSoapProxy();
    return aDSIShippingSoap.getCommitmentsList();
  }
  
  public com.adsionline.ADSIShippingWS.StringListReturn getShippersList() throws java.rmi.RemoteException{
    if (aDSIShippingSoap == null)
      _initADSIShippingSoapProxy();
    return aDSIShippingSoap.getShippersList();
  }
  
  public java.lang.String[] getCountriesList() throws java.rmi.RemoteException{
    if (aDSIShippingSoap == null)
      _initADSIShippingSoapProxy();
    return aDSIShippingSoap.getCountriesList();
  }
  
  public com.adsionline.ADSIShippingWS.StringListReturn getTermsList() throws java.rmi.RemoteException{
    if (aDSIShippingSoap == null)
      _initADSIShippingSoapProxy();
    return aDSIShippingSoap.getTermsList();
  }
  
  public com.adsionline.ADSIShippingWS.StringListReturn getPrintersList() throws java.rmi.RemoteException{
    if (aDSIShippingSoap == null)
      _initADSIShippingSoapProxy();
    return aDSIShippingSoap.getPrintersList();
  }
  
  public com.adsionline.ADSIShippingWS.LabelDefinitionListReturn getDocumentsList() throws java.rmi.RemoteException{
    if (aDSIShippingSoap == null)
      _initADSIShippingSoapProxy();
    return aDSIShippingSoap.getDocumentsList();
  }
  
  public com.adsionline.ADSIShippingWS.StockDefinitionListReturn getStocksList() throws java.rmi.RemoteException{
    if (aDSIShippingSoap == null)
      _initADSIShippingSoapProxy();
    return aDSIShippingSoap.getStocksList();
  }
  
  public com.adsionline.ADSIShippingWS.StringReturn translateServiceToCarrierSymbol(java.lang.String servicePlainText) throws java.rmi.RemoteException{
    if (aDSIShippingSoap == null)
      _initADSIShippingSoapProxy();
    return aDSIShippingSoap.translateServiceToCarrierSymbol(servicePlainText);
  }
  
  public com.adsionline.ADSIShippingWS.StringReturn translateCarrierFriendlyNameToSymbol(java.lang.String carrierFriendlyName) throws java.rmi.RemoteException{
    if (aDSIShippingSoap == null)
      _initADSIShippingSoapProxy();
    return aDSIShippingSoap.translateCarrierFriendlyNameToSymbol(carrierFriendlyName);
  }
  
  public com.adsionline.ADSIShippingWS.StringReturn translateShipperFriendlyNameToSymbol(java.lang.String shipperFriendlyName) throws java.rmi.RemoteException{
    if (aDSIShippingSoap == null)
      _initADSIShippingSoapProxy();
    return aDSIShippingSoap.translateShipperFriendlyNameToSymbol(shipperFriendlyName);
  }
  
  public com.adsionline.ADSIShippingWS.StringReturn translateServiceFriendlyNameToSymbol(java.lang.String servicePlainText) throws java.rmi.RemoteException{
    if (aDSIShippingSoap == null)
      _initADSIShippingSoapProxy();
    return aDSIShippingSoap.translateServiceFriendlyNameToSymbol(servicePlainText);
  }
  
  public com.adsionline.ADSIShippingWS.StringListReturn getSearchPackageFieldsList(java.lang.String carrierSymbol) throws java.rmi.RemoteException{
    if (aDSIShippingSoap == null)
      _initADSIShippingSoapProxy();
    return aDSIShippingSoap.getSearchPackageFieldsList(carrierSymbol);
  }
  
  public com.adsionline.ADSIShippingWS.StringListReturn listSearchResultsByField(java.lang.String carrierSymbol, java.lang.String fieldName, java.lang.String fieldValue) throws java.rmi.RemoteException{
    if (aDSIShippingSoap == null)
      _initADSIShippingSoapProxy();
    return aDSIShippingSoap.listSearchResultsByField(carrierSymbol, fieldName, fieldValue);
  }
  
  public com.adsionline.ADSIShippingWS.StringListReturn getPackageTypesList() throws java.rmi.RemoteException{
    if (aDSIShippingSoap == null)
      _initADSIShippingSoapProxy();
    return aDSIShippingSoap.getPackageTypesList();
  }
  
  public com.adsionline.ADSIShippingWS.StringDictionaryReturn getSearchResultsListForPackage(java.lang.String carrierFriendlyName, long MSN) throws java.rmi.RemoteException{
    if (aDSIShippingSoap == null)
      _initADSIShippingSoapProxy();
    return aDSIShippingSoap.getSearchResultsListForPackage(carrierFriendlyName, MSN);
  }
  
  public com.adsionline.ADSIShippingWS.CountryReturn getCountry(java.lang.String fieldName, java.lang.String fieldValue) throws java.rmi.RemoteException{
    if (aDSIShippingSoap == null)
      _initADSIShippingSoapProxy();
    return aDSIShippingSoap.getCountry(fieldName, fieldValue);
  }
  
  public com.adsionline.ADSIShippingWS.StringReturn translateServiceSymbol(java.lang.String serviceSymbol) throws java.rmi.RemoteException{
    if (aDSIShippingSoap == null)
      _initADSIShippingSoapProxy();
    return aDSIShippingSoap.translateServiceSymbol(serviceSymbol);
  }
  
  public com.adsionline.ADSIShippingWS.StringListReturn getUnitsOfMeasureList() throws java.rmi.RemoteException{
    if (aDSIShippingSoap == null)
      _initADSIShippingSoapProxy();
    return aDSIShippingSoap.getUnitsOfMeasureList();
  }
  
  public com.adsionline.ADSIShippingWS.PrinterDriverListReturn getPrinterDriversList() throws java.rmi.RemoteException{
    if (aDSIShippingSoap == null)
      _initADSIShippingSoapProxy();
    return aDSIShippingSoap.getPrinterDriversList();
  }
  
  public com.adsionline.ADSIShippingWS.StringListReturn getWindowsPrintersList() throws java.rmi.RemoteException{
    if (aDSIShippingSoap == null)
      _initADSIShippingSoapProxy();
    return aDSIShippingSoap.getWindowsPrintersList();
  }
  
  public com.adsionline.ADSIShippingWS.CarrierListReturn getCarriers() throws java.rmi.RemoteException{
    if (aDSIShippingSoap == null)
      _initADSIShippingSoapProxy();
    return aDSIShippingSoap.getCarriers();
  }
  
  public com.adsionline.ADSIShippingWS.ServiceListReturn getServices() throws java.rmi.RemoteException{
    if (aDSIShippingSoap == null)
      _initADSIShippingSoapProxy();
    return aDSIShippingSoap.getServices();
  }
  
  public com.adsionline.ADSIShippingWS.StringListReturn getServicesListForShipper(java.lang.String shipperFriendlyName) throws java.rmi.RemoteException{
    if (aDSIShippingSoap == null)
      _initADSIShippingSoapProxy();
    return aDSIShippingSoap.getServicesListForShipper(shipperFriendlyName);
  }
  
  public com.adsionline.ADSIShippingWS.StringListReturn getCarrierSymbolsList() throws java.rmi.RemoteException{
    if (aDSIShippingSoap == null)
      _initADSIShippingSoapProxy();
    return aDSIShippingSoap.getCarrierSymbolsList();
  }
  
  public com.adsionline.ADSIShippingWS.StringListReturn getHomeDeliveryTypesList() throws java.rmi.RemoteException{
    if (aDSIShippingSoap == null)
      _initADSIShippingSoapProxy();
    return aDSIShippingSoap.getHomeDeliveryTypesList();
  }
  
  public com.adsionline.ADSIShippingWS.StringListReturn getCarrierFriendlyNamesList() throws java.rmi.RemoteException{
    if (aDSIShippingSoap == null)
      _initADSIShippingSoapProxy();
    return aDSIShippingSoap.getCarrierFriendlyNamesList();
  }
  
  public com.adsionline.ADSIShippingWS.StringListReturn getStandardSearchFieldsList() throws java.rmi.RemoteException{
    if (aDSIShippingSoap == null)
      _initADSIShippingSoapProxy();
    return aDSIShippingSoap.getStandardSearchFieldsList();
  }
  
  public com.adsionline.ADSIShippingWS.StringListReturn getRatedServicesList() throws java.rmi.RemoteException{
    if (aDSIShippingSoap == null)
      _initADSIShippingSoapProxy();
    return aDSIShippingSoap.getRatedServicesList();
  }
  
  public com.adsionline.ADSIShippingWS.StringListReturn getRateShoppingGroupsList() throws java.rmi.RemoteException{
    if (aDSIShippingSoap == null)
      _initADSIShippingSoapProxy();
    return aDSIShippingSoap.getRateShoppingGroupsList();
  }
  
  public com.adsionline.ADSIShippingWS.StringListReturn getManuallyRatedCarriersList() throws java.rmi.RemoteException{
    if (aDSIShippingSoap == null)
      _initADSIShippingSoapProxy();
    return aDSIShippingSoap.getManuallyRatedCarriersList();
  }
  
  public com.adsionline.ADSIShippingWS.ServiceListReturn getServicesForCarrier(java.lang.String carrierSymbol) throws java.rmi.RemoteException{
    if (aDSIShippingSoap == null)
      _initADSIShippingSoapProxy();
    return aDSIShippingSoap.getServicesForCarrier(carrierSymbol);
  }
  
  public com.adsionline.ADSIShippingWS.StockDefinitionListReturn getStockDefsForCarrier(java.lang.String carrierSymbol) throws java.rmi.RemoteException{
    if (aDSIShippingSoap == null)
      _initADSIShippingSoapProxy();
    return aDSIShippingSoap.getStockDefsForCarrier(carrierSymbol);
  }
  
  public com.adsionline.ADSIShippingWS.StringListReturn listFedExSmartPostAncillaryEndorsements() throws java.rmi.RemoteException{
    if (aDSIShippingSoap == null)
      _initADSIShippingSoapProxy();
    return aDSIShippingSoap.listFedExSmartPostAncillaryEndorsements();
  }
  
  public com.adsionline.ADSIShippingWS.StringReturn getNextAMSN() throws java.rmi.RemoteException{
    if (aDSIShippingSoap == null)
      _initADSIShippingSoapProxy();
    return aDSIShippingSoap.getNextAMSN();
  }
  
  public com.adsionline.ADSIShippingWS.StringDictionaryReturn closeOutEOD(java.lang.String shipperFriendlyName, java.lang.String carrierFriendlyName, java.lang.String shipDate, boolean useStandardTables, java.lang.String shipmentTableName) throws java.rmi.RemoteException{
    if (aDSIShippingSoap == null)
      _initADSIShippingSoapProxy();
    return aDSIShippingSoap.closeOutEOD(shipperFriendlyName, carrierFriendlyName, shipDate, useStandardTables, shipmentTableName);
  }
  
  public com.adsionline.ADSIShippingWS.StringReturn transmitEOD(java.lang.String shipperFriendlyName, java.lang.String carrierFriendlyName, java.lang.String shipFileName) throws java.rmi.RemoteException{
    if (aDSIShippingSoap == null)
      _initADSIShippingSoapProxy();
    return aDSIShippingSoap.transmitEOD(shipperFriendlyName, carrierFriendlyName, shipFileName);
  }
  
  public com.adsionline.ADSIShippingWS.StringReturn generateDocument(java.lang.String shipperFriendlyName, java.lang.String documentSymbol, com.adsionline.ADSIShippingWS.GenerateDocumentParameters parameters) throws java.rmi.RemoteException{
    if (aDSIShippingSoap == null)
      _initADSIShippingSoapProxy();
    return aDSIShippingSoap.generateDocument(shipperFriendlyName, documentSymbol, parameters);
  }
  
  public com.adsionline.ADSIShippingWS.StringReturn generateDocument2(java.lang.String shipperFriendlyName, java.lang.String documentSymbol, com.adsionline.ADSIShippingWS.NameValuePair[] parameters) throws java.rmi.RemoteException{
    if (aDSIShippingSoap == null)
      _initADSIShippingSoapProxy();
    return aDSIShippingSoap.generateDocument2(shipperFriendlyName, documentSymbol, parameters);
  }
  
  public com.adsionline.ADSIShippingWS.StringListReturn getCloseOutTransmitList(java.lang.String shipperFriendlyName, java.lang.String carrierFriendlyName) throws java.rmi.RemoteException{
    if (aDSIShippingSoap == null)
      _initADSIShippingSoapProxy();
    return aDSIShippingSoap.getCloseOutTransmitList(shipperFriendlyName, carrierFriendlyName);
  }
  
  public com.adsionline.ADSIShippingWS.StringListReturn listSearchResultsByFieldUsingStandardTables(java.lang.String carrierSymbol, java.lang.String fieldName, java.lang.String fieldValue) throws java.rmi.RemoteException{
    if (aDSIShippingSoap == null)
      _initADSIShippingSoapProxy();
    return aDSIShippingSoap.listSearchResultsByFieldUsingStandardTables(carrierSymbol, fieldName, fieldValue);
  }
  
  public com.adsionline.ADSIShippingWS.StringListReturn getCloseOutList(java.lang.String shipperFriendlyName, java.lang.String carrierFriendlyName) throws java.rmi.RemoteException{
    if (aDSIShippingSoap == null)
      _initADSIShippingSoapProxy();
    return aDSIShippingSoap.getCloseOutList(shipperFriendlyName, carrierFriendlyName);
  }
  
  public com.adsionline.ADSIShippingWS.StringListReturn getCloseOutDeleteList(java.lang.String shipperFriendlyName, java.lang.String carrierFriendlyName) throws java.rmi.RemoteException{
    if (aDSIShippingSoap == null)
      _initADSIShippingSoapProxy();
    return aDSIShippingSoap.getCloseOutDeleteList(shipperFriendlyName, carrierFriendlyName);
  }
  
  public com.adsionline.ADSIShippingWS.StringReturn deleteShipFiles(java.lang.String shipperFriendlyName, java.lang.String carrierFriendlyName, java.lang.String[] files) throws java.rmi.RemoteException{
    if (aDSIShippingSoap == null)
      _initADSIShippingSoapProxy();
    return aDSIShippingSoap.deleteShipFiles(shipperFriendlyName, carrierFriendlyName, files);
  }
  
  public com.adsionline.ADSIShippingWS.StringListReturn getCloseOutPrintList(java.lang.String shipperFriendlyName, java.lang.String carrierFriendlyName) throws java.rmi.RemoteException{
    if (aDSIShippingSoap == null)
      _initADSIShippingSoapProxy();
    return aDSIShippingSoap.getCloseOutPrintList(shipperFriendlyName, carrierFriendlyName);
  }
  
  public com.adsionline.ADSIShippingWS.AddressReturn getShipperAddress(java.lang.String shipperFriendlyName) throws java.rmi.RemoteException{
    if (aDSIShippingSoap == null)
      _initADSIShippingSoapProxy();
    return aDSIShippingSoap.getShipperAddress(shipperFriendlyName);
  }
  
  public com.adsionline.ADSIShippingWS.StringListReturn getTransmitItemList(java.lang.String shipperFriendlyName, java.lang.String carrierFriendlyName) throws java.rmi.RemoteException{
    if (aDSIShippingSoap == null)
      _initADSIShippingSoapProxy();
    return aDSIShippingSoap.getTransmitItemList(shipperFriendlyName, carrierFriendlyName);
  }
  
  public com.adsionline.ADSIShippingWS.StringReturn deleteTransmitItems(java.lang.String shipperFriendlyName, java.lang.String carrierFriendlyName, java.lang.String[] files) throws java.rmi.RemoteException{
    if (aDSIShippingSoap == null)
      _initADSIShippingSoapProxy();
    return aDSIShippingSoap.deleteTransmitItems(shipperFriendlyName, carrierFriendlyName, files);
  }
  
  public com.adsionline.ADSIShippingWS._return saveServicesListForShipper(java.lang.String shipperFriendlyName, java.lang.String[] services) throws java.rmi.RemoteException{
    if (aDSIShippingSoap == null)
      _initADSIShippingSoapProxy();
    return aDSIShippingSoap.saveServicesListForShipper(shipperFriendlyName, services);
  }
  
  public com.adsionline.ADSIShippingWS._return refreshRateShoppingGroups() throws java.rmi.RemoteException{
    if (aDSIShippingSoap == null)
      _initADSIShippingSoapProxy();
    return aDSIShippingSoap.refreshRateShoppingGroups();
  }
  
  public com.adsionline.ADSIShippingWS.StringReturn performAESRequest(com.adsionline.ADSIShippingWS.Shipment shipment) throws java.rmi.RemoteException{
    if (aDSIShippingSoap == null)
      _initADSIShippingSoapProxy();
    return aDSIShippingSoap.performAESRequest(shipment);
  }
  
  public com.adsionline.ADSIShippingWS.StringReturn performAESInquiry(java.lang.String aesRequestID) throws java.rmi.RemoteException{
    if (aDSIShippingSoap == null)
      _initADSIShippingSoapProxy();
    return aDSIShippingSoap.performAESInquiry(aesRequestID);
  }
  
  public com.adsionline.ADSIShippingWS._return performAESVoid(java.lang.String aesRequestID) throws java.rmi.RemoteException{
    if (aDSIShippingSoap == null)
      _initADSIShippingSoapProxy();
    return aDSIShippingSoap.performAESVoid(aesRequestID);
  }
  
  public com.adsionline.ADSIShippingWS.AESQueryResultListReturn performAESVoidQuery(java.lang.String shipper, java.lang.String shipperReference) throws java.rmi.RemoteException{
    if (aDSIShippingSoap == null)
      _initADSIShippingSoapProxy();
    return aDSIShippingSoap.performAESVoidQuery(shipper, shipperReference);
  }
  
  public com.adsionline.ADSIShippingWS.IPDIGDShipmentInfoListReturn listFedExIPDShipments(java.lang.String shipperFriendlyName, java.lang.String carrierSymbol, com.adsionline.ADSIShippingWS.EnumFedExStatusType status) throws java.rmi.RemoteException{
    if (aDSIShippingSoap == null)
      _initADSIShippingSoapProxy();
    return aDSIShippingSoap.listFedExIPDShipments(shipperFriendlyName, carrierSymbol, status);
  }
  
  public com.adsionline.ADSIShippingWS._return deleteFedExIPDShipment(java.lang.String shipperFriendlyName, java.lang.String carrierSymbol, java.lang.String shipmentID) throws java.rmi.RemoteException{
    if (aDSIShippingSoap == null)
      _initADSIShippingSoapProxy();
    return aDSIShippingSoap.deleteFedExIPDShipment(shipperFriendlyName, carrierSymbol, shipmentID);
  }
  
  public com.adsionline.ADSIShippingWS._return confirmFedExIPDShipment(java.lang.String shipperFriendlyName, java.lang.String carrierSymbol, java.lang.String shipmentID, java.lang.String transID, java.lang.String recipientContact, java.lang.String recipientCompany, java.lang.String printParams) throws java.rmi.RemoteException{
    if (aDSIShippingSoap == null)
      _initADSIShippingSoapProxy();
    return aDSIShippingSoap.confirmFedExIPDShipment(shipperFriendlyName, carrierSymbol, shipmentID, transID, recipientContact, recipientCompany, printParams);
  }
  
  public com.adsionline.ADSIShippingWS.IPDIGDShipmentInfoListReturn listFedExTransborderShipments(java.lang.String shipperFriendlyName, java.lang.String carrierSymbol, com.adsionline.ADSIShippingWS.EnumFedExStatusType status) throws java.rmi.RemoteException{
    if (aDSIShippingSoap == null)
      _initADSIShippingSoapProxy();
    return aDSIShippingSoap.listFedExTransborderShipments(shipperFriendlyName, carrierSymbol, status);
  }
  
  public com.adsionline.ADSIShippingWS._return deleteFedExTransborderShipment(java.lang.String shipperFriendlyName, java.lang.String carrierSymbol, java.lang.String shipmentID) throws java.rmi.RemoteException{
    if (aDSIShippingSoap == null)
      _initADSIShippingSoapProxy();
    return aDSIShippingSoap.deleteFedExTransborderShipment(shipperFriendlyName, carrierSymbol, shipmentID);
  }
  
  public com.adsionline.ADSIShippingWS._return confirmFedExTransborderShipment(java.lang.String shipperFriendlyName, java.lang.String carrierSymbol, java.lang.String shipmentID, java.lang.String transID, java.lang.String recipientContact, java.lang.String recipientCompany) throws java.rmi.RemoteException{
    if (aDSIShippingSoap == null)
      _initADSIShippingSoapProxy();
    return aDSIShippingSoap.confirmFedExTransborderShipment(shipperFriendlyName, carrierSymbol, shipmentID, transID, recipientContact, recipientCompany);
  }
  
  public com.adsionline.ADSIShippingWS.IPDIGDShipmentInfoListReturn listFedExIGDShipments(java.lang.String shipperFriendlyName, java.lang.String carrierSymbol, com.adsionline.ADSIShippingWS.EnumFedExStatusType status) throws java.rmi.RemoteException{
    if (aDSIShippingSoap == null)
      _initADSIShippingSoapProxy();
    return aDSIShippingSoap.listFedExIGDShipments(shipperFriendlyName, carrierSymbol, status);
  }
  
  public com.adsionline.ADSIShippingWS._return deleteFedExIGDShipment(java.lang.String shipperFriendlyName, java.lang.String carrierSymbol, java.lang.String shipmentID) throws java.rmi.RemoteException{
    if (aDSIShippingSoap == null)
      _initADSIShippingSoapProxy();
    return aDSIShippingSoap.deleteFedExIGDShipment(shipperFriendlyName, carrierSymbol, shipmentID);
  }
  
  public com.adsionline.ADSIShippingWS._return confirmFedExIGDShipment(java.lang.String shipperFriendlyName, java.lang.String carrierSymbol, java.lang.String shipmentID, java.lang.String transID, java.lang.String recipientContact, java.lang.String recipientCompany) throws java.rmi.RemoteException{
    if (aDSIShippingSoap == null)
      _initADSIShippingSoapProxy();
    return aDSIShippingSoap.confirmFedExIGDShipment(shipperFriendlyName, carrierSymbol, shipmentID, transID, recipientContact, recipientCompany);
  }
  
  public com.adsionline.ADSIShippingWS.RouteResultReturn routeIT(com.adsionline.ADSIShippingWS.RouteITRouteFields routeFields) throws java.rmi.RemoteException{
    if (aDSIShippingSoap == null)
      _initADSIShippingSoapProxy();
    return aDSIShippingSoap.routeIT(routeFields);
  }
  
  public com.adsionline.ADSIShippingWS.PronumberResultReturn generatePronumber(java.lang.String shipper, java.lang.String servicePlaintext) throws java.rmi.RemoteException{
    if (aDSIShippingSoap == null)
      _initADSIShippingSoapProxy();
    return aDSIShippingSoap.generatePronumber(shipper, servicePlaintext);
  }
  
  public com.adsionline.ADSIShippingWS.ShipmentResultListReturn rate(com.adsionline.ADSIShippingWS.Shipment shipment) throws java.rmi.RemoteException{
    if (aDSIShippingSoap == null)
      _initADSIShippingSoapProxy();
    return aDSIShippingSoap.rate(shipment);
  }
  
  public com.adsionline.ADSIShippingWS.ShipmentResultReturn ship(com.adsionline.ADSIShippingWS.Shipment shipment) throws java.rmi.RemoteException{
    if (aDSIShippingSoap == null)
      _initADSIShippingSoapProxy();
    return aDSIShippingSoap.ship(shipment);
  }
  
  public com.adsionline.ADSIShippingWS.ShipmentResultReturn2 ship2(com.adsionline.ADSIShippingWS.Shipment2 shipment) throws java.rmi.RemoteException{
    if (aDSIShippingSoap == null)
      _initADSIShippingSoapProxy();
    return aDSIShippingSoap.ship2(shipment);
  }
  
  public com.adsionline.ADSIShippingWS.ShipmentResultReturn shipWithoutTransaction(com.adsionline.ADSIShippingWS.Shipment shipment) throws java.rmi.RemoteException{
    if (aDSIShippingSoap == null)
      _initADSIShippingSoapProxy();
    return aDSIShippingSoap.shipWithoutTransaction(shipment);
  }
  
  public com.adsionline.ADSIShippingWS.StringReturn voidPackage(java.lang.String carrierSymbol, long MSN) throws java.rmi.RemoteException{
    if (aDSIShippingSoap == null)
      _initADSIShippingSoapProxy();
    return aDSIShippingSoap.voidPackage(carrierSymbol, MSN);
  }
  
  public com.adsionline.ADSIShippingWS.StringReturn voidPackageUsingStandardTables(java.lang.String carrierSymbol, long MSN) throws java.rmi.RemoteException{
    if (aDSIShippingSoap == null)
      _initADSIShippingSoapProxy();
    return aDSIShippingSoap.voidPackageUsingStandardTables(carrierSymbol, MSN);
  }
  
  public com.adsionline.ADSIShippingWS.StringReturn getNextTrackingNumber(java.lang.String servicePlaintext, java.lang.String shipperFriendlyName, java.lang.String consigneePostalCode, java.lang.String countryFriendlyName, com.adsionline.ADSIShippingWS.GetNextTrackingNumberAddtionalFields addtionalFields) throws java.rmi.RemoteException{
    if (aDSIShippingSoap == null)
      _initADSIShippingSoapProxy();
    return aDSIShippingSoap.getNextTrackingNumber(servicePlaintext, shipperFriendlyName, consigneePostalCode, countryFriendlyName, addtionalFields);
  }
  
  public com.adsionline.ADSIShippingWS.ShipmentResultReturn2 shipWithLabel(com.adsionline.ADSIShippingWS.Shipment2 shipment, com.adsionline.ADSIShippingWS.ShipWithLabelType labelType, com.adsionline.ADSIShippingWS.ImageRotation rotation) throws java.rmi.RemoteException{
    if (aDSIShippingSoap == null)
      _initADSIShippingSoapProxy();
    return aDSIShippingSoap.shipWithLabel(shipment, labelType, rotation);
  }
  
  
}